SerialPortException
Date: 2017-02-09

jssc

## Class SerialPortException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - jssc.SerialPortException

- All Implemented Interfaces:
    java.io.Serializable

      public class SerialPortException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE_CANT_REMOVE_LISTENER`
    `static java.lang.String` | `TYPE_CANT_SET_MASK`
    `static java.lang.String` | `TYPE_INCORRECT_SERIAL_PORT`
    `static java.lang.String` | `TYPE_LISTENER_ALREADY_ADDED`
    `static java.lang.String` | `TYPE_LISTENER_THREAD_INTERRUPTED`
    `static java.lang.String` | `TYPE_NULL_NOT_PERMITTED`
    `static java.lang.String` | `TYPE_PARAMETER_IS_NOT_CORRECT`
    `static java.lang.String` | `TYPE_PERMISSION_DENIED`
    `static java.lang.String` | `TYPE_PORT_ALREADY_OPENED`
    `static java.lang.String` | `TYPE_PORT_BUSY`
    `static java.lang.String` | `TYPE_PORT_NOT_FOUND`
    `static java.lang.String` | `TYPE_PORT_NOT_OPENED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialPortException(java.lang.String portName, java.lang.String methodName, java.lang.String exceptionType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExceptionType()` Getting exception type
    `java.lang.String` | `getMethodName()` Getting method name during execution of which the exception was called
    `java.lang.String` | `getPortName()` Getting port name during operation with which the exception was called

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_PORT_ALREADY_OPENED

          public static final java.lang.String TYPE_PORT_ALREADY_OPENED

      See Also:
        Constant Field Values

    - #### TYPE_PORT_NOT_OPENED

          public static final java.lang.String TYPE_PORT_NOT_OPENED

      See Also:
        Constant Field Values

    - #### TYPE_CANT_SET_MASK

          public static final java.lang.String TYPE_CANT_SET_MASK

      See Also:
        Constant Field Values

    - #### TYPE_LISTENER_ALREADY_ADDED

          public static final java.lang.String TYPE_LISTENER_ALREADY_ADDED

      See Also:
        Constant Field Values

    - #### TYPE_LISTENER_THREAD_INTERRUPTED

          public static final java.lang.String TYPE_LISTENER_THREAD_INTERRUPTED

      See Also:
        Constant Field Values

    - #### TYPE_CANT_REMOVE_LISTENER

          public static final java.lang.String TYPE_CANT_REMOVE_LISTENER

      See Also:
        Constant Field Values

    - #### TYPE_PARAMETER_IS_NOT_CORRECT

          public static final java.lang.String TYPE_PARAMETER_IS_NOT_CORRECT

      Since:
        0.8
      See Also:
        Constant Field Values

    - #### TYPE_NULL_NOT_PERMITTED

          public static final java.lang.String TYPE_NULL_NOT_PERMITTED

      Since:
        0.8
      See Also:
        Constant Field Values

    - #### TYPE_PORT_BUSY

          public static final java.lang.String TYPE_PORT_BUSY

      Since:
        0.9.0
      See Also:
        Constant Field Values

    - #### TYPE_PORT_NOT_FOUND

          public static final java.lang.String TYPE_PORT_NOT_FOUND

      Since:
        0.9.0
      See Also:
        Constant Field Values

    - #### TYPE_PERMISSION_DENIED

          public static final java.lang.String TYPE_PERMISSION_DENIED

      Since:
        2.2.0
      See Also:
        Constant Field Values

    - #### TYPE_INCORRECT_SERIAL_PORT

          public static final java.lang.String TYPE_INCORRECT_SERIAL_PORT

      Since:
        2.3.0
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SerialPortException

          public SerialPortException(java.lang.String portName,
                             java.lang.String methodName,
                             java.lang.String exceptionType)

  - ### Method Detail

    - #### getPortName

          public java.lang.String getPortName()

      Getting port name during operation with which the exception was called

    - #### getMethodName

          public java.lang.String getMethodName()

      Getting method name during execution of which the exception was called

    - #### getExceptionType

          public java.lang.String getExceptionType()

      Getting exception type